/* Copyright (c) 2001-2004 by SoftIntegration, Inc. All Rights Reserved */
/* a sample program that decides if x is finite. */
#include <math.h>
#include <stdio.h>

int main() {
    double x;
    
    x = 1.0;
    if(isfinite(x)) 
        printf("%f is a finite number\n",x);
    else
        printf("%f is not a finite value\n", x);
}
